org.apache.hc.client5.http.auth

## Class KerberosConfig

- java.lang.Object
- - org.apache.hc.client5.http.auth.KerberosConfig

- All Implemented Interfaces:
    Cloneable

      @Contract(threading=IMMUTABLE)
      public class KerberosConfig
      extends Object
      implements Cloneable

  Immutable class encapsulating Kerberos configuration options.
  Since:
    4.6

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KerberosConfig.Builder`
    `static class` | `KerberosConfig.Option`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KerberosConfig` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KerberosConfig()` Intended for CDI compatibility

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected KerberosConfig` | `clone()`
    `static KerberosConfig.Builder` | `copy(KerberosConfig config)`
    `static KerberosConfig.Builder` | `custom()`
    `KerberosConfig.Option` | `getRequestDelegCreds()`
    `KerberosConfig.Option` | `getStripPort()`
    `KerberosConfig.Option` | `getUseCanonicalHostname()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final KerberosConfig DEFAULT

  - ### Constructor Detail

    - #### KerberosConfig

          protected KerberosConfig()

      Intended for CDI compatibility

  - ### Method Detail

    - #### getStripPort

          public KerberosConfig.Option getStripPort()

    - #### getUseCanonicalHostname

          public KerberosConfig.Option getUseCanonicalHostname()

    - #### getRequestDelegCreds

          public KerberosConfig.Option getRequestDelegCreds()

    - #### clone

          protected KerberosConfig clone()
                                  throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### custom

          public static KerberosConfig.Builder custom()

    - #### copy

          public static KerberosConfig.Builder copy(KerberosConfig config)

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.